This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: Specialize BINARY_SUBTRACT
Type: performance Stage: resolved
Components: Versions: Python 3.11
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: Mark.Shannon, brandtbucher, corona10
Priority: normal Keywords: patch

Created on 2021-10-18 11:14 by corona10, last changed 2022-04-11 14:59 by admin. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 29010 closed corona10, 2021-10-18 11:19
PR 29523 merged corona10, 2021-11-11 15:34
PR 29995 merged brandtbucher, 2021-12-09 00:01
Messages (4)
msg404176 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2021-10-18 11:14
https://github.com/faster-cpython/ideas/issues/100
msg406523 - (view) Author: Mark Shannon (Mark.Shannon) * (Python committer) Date: 2021-11-18 09:20
New changeset 345ba3f080c140dee3102f472bc166c2db191bcc by Dong-hee Na in branch 'main':
bpo-45510: Specialize BINARY_SUBTRACT (GH-29523)
https://github.com/python/cpython/commit/345ba3f080c140dee3102f472bc166c2db191bcc
msg406524 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2021-11-18 09:20
Thank you Mark!
msg408061 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2021-12-09 01:17
New changeset 5de39f4b412ed5b0f3ed0140c83b2c1f8c707603 by Brandt Bucher in branch 'main':
bpo-45510: Check both types when specializing subtraction (GH-29995)
https://github.com/python/cpython/commit/5de39f4b412ed5b0f3ed0140c83b2c1f8c707603
History
Date User Action Args
2022-04-11 14:59:51adminsetgithub: 89673
2021-12-09 01:17:24corona10setmessages: + msg408061
2021-12-09 00:01:49brandtbuchersetpull_requests: + pull_request28218
2021-11-18 09:20:54corona10setstatus: open -> closed

messages: + msg406524
stage: patch review -> resolved
2021-11-18 09:20:07Mark.Shannonsetnosy: + Mark.Shannon
messages: + msg406523
2021-11-11 18:02:41brandtbuchersetnosy: + brandtbucher
2021-11-11 15:34:08corona10setpull_requests: + pull_request27773
2021-10-18 11:19:41corona10setkeywords: + patch
stage: patch review
pull_requests: + pull_request27299
2021-10-18 11:14:17corona10create